# Nomination Processes Nomination Processes ## Gets all of the nomination processes in the system. - [GET /nominationProcesses/{tenantId}](https://docs.api.rhythmsoftware.com/apis/awards/awards-v1/nomination-processes/listnominationprocesses.md): This method will scan all nomination processes and and return them to the caller. ## Creates a new nomination process record that does not already exist. - [POST /nominationProcesses/{tenantId}](https://docs.api.rhythmsoftware.com/apis/awards/awards-v1/nomination-processes/createnominationprocess.md): This method will auto-generate an ID and create a new nomination process. If an ID is specified for the nomination process, an error will be thrown. ## Returns a list of records with the specified award_id - [GET /nominationProcesses/{tenantId}/award/{award_id}](https://docs.api.rhythmsoftware.com/apis/awards/awards-v1/nomination-processes/listprocessesbyawardid.md): Returns a list of records with the specified award_id ## Execute Batch Operations - [POST /nominationProcesses/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/awards/awards-v1/nomination-processes/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Gets all of the processes a contact/org is eligible to use - [GET /nominationProcesses/{tenantId}/eligible/{awardId}/{customerType}/{customer_id}](https://docs.api.rhythmsoftware.com/apis/awards/awards-v1/nomination-processes/geteligibleprocesses.md) ## Returns a nomination process from the system by its ID. - [DELETE /nominationProcesses/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/awards/awards-v1/nomination-processes/deletenominationprocess.md): This method will delete a nomination process with the specified ID. ## Returns a nomination process from the system by its ID. - [GET /nominationProcesses/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/awards/awards-v1/nomination-processes/getnominationprocess.md): This method will look up a nomination process by the specified ID and return it back. ## Partially updates a nomination process with the specified ID. - [PATCH /nominationProcesses/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/awards/awards-v1/nomination-processes/patchnominationprocess.md): This method will patch an existing nomination process with the specified ID, using the HTTP PATCH specification. ## Updates a nomination process with the specified ID. - [PUT /nominationProcesses/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/awards/awards-v1/nomination-processes/updatenominationprocess.md): This method will update an existing nomination process with the specified ID.